/* COMING SOON POPUP */
.comingSoonPopup .leaflet-popup-content-wrapper {
    text-align: center;
    color: #fff;
    background: #2c3e50;
    font-size: 16px;
    line-height: 24px;
    border-radius: 5px;
}

.comingSoonPopup .leaflet-popup-content-wrapper .leaflet-popup-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.comingSoonPopup .leaflet-popup-content-wrapper i {color: var(--makaan-global-color-secondary);}

.comingSoonPopup .leaflet-popup-content-wrapper hr {
    width: 50%;
    margin-top: 10px;
    background: transparent;
    border: none;
    border-bottom: 1px dotted grey;
}

.comingSoonPopup .leaflet-popup-content-wrapper a {
    display: block;
    margin-top: 5px;
    font-size: 14px;
    color: var(--makaan-global-color-light-yellow);
}

.comingSoonPopup .leaflet-popup-content-wrapper a:hover {scale: 1.1;}

.comingSoonPopup .leaflet-popup-tip-container {
    width: 30px;
    height: 15px;
}

.comingSoonPopup .leaflet-popup-tip {
    background: transparent;
    border: none;
    box-shadow: none;
}

/* SECTION.FLEX-COL */
section.flex-col {
    justify-content: center;
    align-items: center;
}

section.flex-col h2 {
    text-align: center;
}

/* THE MAP */
#mapWrapper {
    width: 100%;
    max-width: unset;
    height: 80vh;
    margin: 0;
    padding: 0;
    border-radius: 0;
    filter: none;
    transition: height cubic-bezier(0.18, 0.89, 0.32, 1.28) .8s;
}

#mapWrapper #masterMap {
    border-radius: 0;
}

/* -- -- OPACITY SLIDER */
.mapWrapper input[type="range"] {
    left: -39px;
}

/* DIRECTIONS BUTTON WRAP */
.leaflet-top.leaflet-left .leaflet-control-custom {
    margin-top: 160px;
}

/* ROUTE BOX BUTTON */
#routeBoxBtn {
    top: 70px;
    right: 11px;
}

/* CTA BUTTONS ROW */
.CTA-btns-row {
    padding: 15px 10px;
    background: var(--makaan-global-color-the-grey);
}

.CTA-btns-row .flex-row {
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.CTA-btns-row a i {
    margin-right: 2px;
}

.CTA-btns-row a:hover {
    color: white;
    background: var(--makaan-global-color-primary);
}

/* --- SOCIAL MEDIA SHARER MENU */
.social-media-sharer-wraper {
    position: relative;
}

.CTA-btns-row .social-media-sharer-menu {
    padding: 0;
    width: 50px;
    height: 0;
    filter: none;
    overflow: hidden;
}

.CTA-btns-row .social-media-sharer-menu.share-menu-opened {
    position: absolute;
    right: 0;
    bottom: -10px;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 15px 10px;
    background-color: white;
    border-radius: 50px;
    filter: drop-shadow(0 1px 5px rgba(0, 0, 0, .3));
    transition: all .3s;
    z-index: 9999;
}

.CTA-btns-row .social-media-sharer-menu a {
    padding: 5px;
    font-size: 20px;
    transition: all .2s;
}

.CTA-btns-row .social-media-sharer-menu a:hover {
    color: var(--makaan-global-color-primary);
    background-color: transparent;
    transform: scale(1.3);
}

/* MAP DETAILS */
.mapDetailsWrapper {
    padding: 30px 10px;
}

.mapDetailsWrapper h1 {
    margin-bottom: 10px;
    text-align: center;
    font-size: 42px;
    line-height: 40px;
}

.mapDetailsWrapper p {
    font-size: 16px;
    line-height: 28px;
    margin-bottom: 12px;
}

.mapDetailsWrapper .detailsTable {
    width: 100%;
    margin: 10px 0 0;
    justify-content: center;
    align-items: flex-start;
    line-height: 28px;
}

.mapDetailsWrapper .detailsTable .col {
    flex: 1 0 auto;
}

.mapDetailsWrapper .detailsTable .detailsTableContent {
    padding: 10px 40px;
}

.mapDetailsWrapper .detailsTable .detailsTableContent.Cols2 {
    column-count: 2;
    column-gap: 0;
}

.mapDetailsWrapper .detailsTable h2 {
    padding: 10px 30px;
    text-align: left;
    font-family: 'Editors Note Bold';
    font-size: 16px;
    background: var(--makaan-global-color-light-green);
}

/* OUR RECENT PROJECTS */
#mapsNavContainer {
    padding: 10px 10px 40px;
}

#mapsNavContainer .section-header {
    width: 100%;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 25px;
}

/* Make the Main Map Card pop */
.mapCard.main-map-card {background: #3ab77d;}

.mapCard.main-map-card :is(.card-title, p, a) {color: #fff;}

/* PEOPLE LOVE US SECTION */
.peopleLoveUs {
    padding: 40px 80px;
    background: var(--makaan-global-color-light-green);
}

.peopleLoveUs h2 {
    margin-bottom: 10px;
    font-family: 'Editors Note Bold';
    font-size: 48px;
}

.peopleLoveUs p {
    max-width: 650px;
    font-size: 15px;
    text-align: center;
}

/* --- TABS */
.peopleLoveUs .tabs {
    width: 100%;
    margin: 40px 0 0;
    gap: 15px;
}

/* --- -- LABELS COLUMN */
.peopleLoveUs .tabs .labels-col {
    align-items: stretch;
    gap: 15px;
    width: 30%;
}

.peopleLoveUs .tabs label {
    padding: 13px 20px;
    font-size: 17px;
    font-weight: 500;
    background: white;
    cursor: pointer;
}

.peopleLoveUs .tabs label:hover {
    background: var(--makaan-global-color-light-yellow);
}

.peopleLoveUs .tabs label.opened-tab {
    color: white;
    background-image: linear-gradient(to right, var(--makaan-global-color-primary) 70%, var(--makaan-global-color-secondary));
}

/* --- -- CONTENT COLUMN */
.peopleLoveUs .tabs .content-col {
    width: 70%;
}

.peopleLoveUs .tabs .content-col input {
    display: none;
}

.peopleLoveUs .theTab {
    display: none;
    height: 100%;
    justify-content: center;
    align-items: stretch;
    padding: 60px;
    font-family: 'Editors Note Bold';
    background-color: var(--makaan-global-color-secondary);
}

.peopleLoveUs .tabs .content-col input:checked+.theTab {
    display: flex;
}

.peopleLoveUs .theTab .flex-col {
    justify-content: center;
    align-items: center;
}

.peopleLoveUs .theTab .flex-col:first-child {
    display: none;
    padding-right: 60px;
    font-size: 70px;
    border-right: 1px solid grey;
}

.peopleLoveUs .theTab .flex-col:last-child {
    padding-left: 60px;
    font-size: 28px;
    line-height: 38px;
}

/* MEDIA QUERIES */
/* FOR LAPTOPS */
@media only screen and (max-width: 1400px) {

    section.innerContainer {
        max-width: 1250px;
    }

    /* THE MAP */
    #mapWrapper {
        height: 68vh;
        overflow: hidden;
    }
}

/* FOR TABLETS */
@media only screen and (max-width: 1024px) {

    /* THE MAP */
    #mapWrapper {
        height: 60vh;
        overflow: hidden;
    }

    #mapWrapper.theMapInFullScreenMode {
        height: 100vh !important;
    }

    /* SOCIAL MEDIA SHARER MENU */
    .CTA-btns-row .social-media-sharer-menu.share-menu-opened {
        position: fixed;
        right: 30px;
        bottom: 40px;
    }
}

/* FOR MOBILES */
@media only screen and (max-width: 768px) {

    section.innerContainer {
        padding: 20px 15px;
    }

    /* CTA BUTTONS ROW */
    .CTA-btns-row {
        overflow: auto;
    }

    .CTA-btns-row .flex-row {
        width: max-content;
        flex-flow: row nowrap;
    }

    .mapDetailsWrapper h1 {
        font-size: 36px;
    }

    /* MAP DETAILS TABLE */
    .mapDetailsWrapper .detailsTable {
        align-items: stretch;
    }

    .mapDetailsWrapper .detailsTable .detailsTableContent.Cols2 {column-count: 1;}

    /* PEOPLE LOVE US SECTION */
    .peopleLoveUs .tabs .flex-col {
        width: 100%;
    }
}